package com.cyksj.model.entity;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/*
 *项目名: netflix
 *文件名: UserTicketClearedRecord
 *创建者: JavaZou
 *创建时间:2023/2/2 16:50
 */
@Getter
@Setter
public class UserTicketClearedRecord extends BaseEntity{
	private Long userId;

	private Long accountId;

	/**
	 * 主账号
	 */
	private String account;

	private Source source;

	private Long goodsId;

	private Long skuId;

	private Long relationId;

	/**
	 * 镜像用户token
	 */
	private String userToken;

	private Long yhsId;

	private Integer num;

	private Long newRelationId;

	private Date startTime;

	private Date expiryTime;

	private Boolean deleted;

	@Getter
	public enum Source{
		self("自购"),
		distribute("分销权益"),
		pay_equipment("购买实物权益"),
		specific("抽奖"),
		black("拉黑"),
		change_ticket("更换车票"),
		timing_change_ticket("定时更换车票"),
		new_groups_ticket("新空车队车票"),
		disable("禁用账号分配车票"),
		refund_balance("退款余额"),
		abnormal("异常订单"),
		dp("优惠加购订单退款"),
		manual("手动清除"),
		refund("退款"),
		vip_refund("退款"),
		ticket_replace("替换车票"),
		vip_deduct("会员抵扣"),
		codex_deduct("codex抵扣")
		;
		String desc;

		Source(String desc) {
			this.desc = desc;
		}
	}
}
